<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
LockingConfig..::.DeadlockResolution Field
LockingConfig Class See Also

If non-null, the deadlock detector is to be run whenever a lock conflict occurs, lock request(s) should be rejected according to the specified policy.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public DeadlockPolicy DeadlockResolution

Visual Basic (Declaration)

    Public DeadlockResolution As DeadlockPolicy

Visual C++

    public:
    DeadlockPolicy^ DeadlockResolution

# Remarks

As transactions acquire locks on behalf of a single locker ID, rejecting a lock request associated with a transaction normally requires the transaction be aborted.

# See Also

LockingConfig Class
BerkeleyDB Namespace